package com.usky.iot.controller.api;

import com.usky.common.core.bean.ApiResult;
import com.usky.iot.RemoteMceService;
import com.usky.iot.service.MceReceiveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class MceControllerApi implements RemoteMceService {

    @Autowired
    private MceReceiveService mceReceiveService;

    @Override
    public ApiResult<Void> addMce(String mceReceive) {
        mceReceiveService.add(mceReceive);
        return ApiResult.success();
    }
}
